Loading...
Searching...
No Matches
Dune::Functions::StaticMultiIndex< size_type, n > Class Template Reference

A statically sized MultiIndex type. More...

`#include <dune/functions/common/multiindex.hh>`

Inheritance diagram for Dune::Functions::StaticMultiIndex< size_type, n >:

## Static Public Member Functions

static constexpr std::size_t | size ()
static constexpr std::size_t | max_size ()

## Public Attributes

T | elements
| STL member.

## Friends

std::size_t | hash_value (const StaticMultiIndex &v) noexcept

## Detailed Description

template<class size_type, std::size_t n>
class Dune::Functions::StaticMultiIndex< size_type, n >

A statically sized MultiIndex type.

This is basically a std::array<size_type,n>.

## Member Function Documentation

## max_size()

template<class size_type, std::size_t n>

constexpr std::size_t Dune::Functions::StaticMultiIndex< size_type, n >::max_size | ( |  | ) |

inline static constexpr

## size()

template<class size_type, std::size_t n>

constexpr std::size_t Dune::Functions::StaticMultiIndex< size_type, n >::size | ( |  | ) |

inline static constexpr

## Friends And Related Symbol Documentation

## hash_value

template<class size_type, std::size_t n>

std::size_t hash_value | ( | const StaticMultiIndex< size_type, n > & | v | ) |

friend

## Member Data Documentation

## elements

T std::array< T >::elements

inherited

STL member.

The documentation for this class was generated from the following file:

- multiindex.hh